Bug 60848 - Incorrect unicode custom attribute decoding
Summary: Incorrect unicode custom attribute decoding
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Reflection (show other bugs)
Version: 5.8 (2017-10)
Hardware: PC Mac OS
: Normal normal
Target Milestone: Future Cycle (TBD)
Assignee: Katelyn Gadd
URL:
Depends on:
Blocks:
 
Reported: 2017-11-24 09:49 UTC by Marek Safar
Modified: 2018-02-11 16:29 UTC (History)
5 users (show)

Tags: bugpool-archive
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Marek Safar 2017-11-24 09:49:48 UTC
using System;
 
[Obsolete(UnicodeHighSurrogate)]
class C
{
    public const string UnicodeHighSurrogate = "\uD800";
    public const string UnicodeReplacementCharacter = "\uFFFD";
 
    static void Main()
    {
        string message = ((ObsoleteAttribute)typeof(C).GetCustomAttributes(false)[0]).Message;
 
        Console.WriteLine(message == UnicodeReplacementCharacter + UnicodeReplacementCharacter);
    }
}

Print True on .net and False on Mono
Comment 1 Ludovic Henry 2017-11-27 16:39:08 UTC
I can reproduce with Mono 5.8.0.70 (2017-10/efce3b256a5)
Comment 2 Marek Safar 2018-01-15 15:34:56 UTC
https://github.com/mono/mono/pull/6481